# Build with python by default
%bcond_without python

Name:           xed
Version:        1.2.2
Release:        %mkrel 1
Summary:        A small and lightweight text editor
License:        GPLv2+
Group:          Editors
Url:            https://github.com/linuxmint/xed
Source:         https://github.com/linuxmint/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  mate-common
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(enchant)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtksourceview-3.0)
BuildRequires:  pkgconfig(iso-codes)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(sm)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(pygobject-2.0)
BuildRequires:  pkgconfig(pygtk-2.0)
BuildRequires:  pkgconfig(pygtksourceview-2.0)
BuildRequires:  python-gobject
BuildRequires:  python2-devel
BuildRequires:  gnome-common
BuildRequires:  itstool

%description
X-Apps Text Editor is a small, but powerful text editor designed
for the Cinnamon desktop and others. It has most standard text
editor functions and fully supports international text in Unicode.
Advanced features include syntax highlighting and automatic
indentation of source code, printing and editing of multiple
documents in one window.

X-Apps Text Editor is extensible through a plugin system, which
currently includes support for spell checking, comparing files,
viewing VCS ChangeLogs, and adjusting indentation levels.

%package devel
Summary:        Small and lightweight text editor
Group:          Development/C
Requires:       %{name} = %{version}-%{release}

%description devel
X-Apps Text Editor is a small, but powerful text editor designed
for the Cinnamon desktop and others. It has most standard text
editor functions and fully supports international text in Unicode.
Advanced features include syntax highlighting and automatic
indentation of source code, printing and editing of multiple
documents in one window.

X-Apps Text Editor is extensible through a plugin system, which
currently includes support for spell checking, comparing files,
viewing VCS ChangeLogs, and adjusting indentation levels.


%prep
%setup -q

%build
NOCONFIGURE=1 mate-autogen
%configure2_5x \
  --with-gtk=3.0 \
%if %{with python}
	--enable-python
%else
	--disable-python
%endif
%make_build

%install
%make_install

find %{buildroot} -type f -name "*.la" -delete -print

%find_lang %{name} --with-help


%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_libdir}/%{name}/
%{_libexecdir}/%{name}/
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_mandir}/man?/%{name}.*

%files devel
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Tue Jan 24 2017 joequant <joequant> 1.2.2-1.mga6
+ Revision: 1083311
- upgrade to 1.2.2

* Fri Nov 11 2016 ngompa <ngompa> 1.0.5-4.mga6
+ Revision: 1066481
- Fix group for devel subpackage

* Fri Nov 11 2016 ngompa <ngompa> 1.0.5-3.mga6
+ Revision: 1066424
- Fix up spec

* Sat Jun 18 2016 joequant <joequant> 1.0.5-2.mga6
+ Revision: 1022061
- fix typo
- save system libraries
- fix typo
- imported package xed

